Bug 699586 - Review Request: tabish-eeyek-fonts - Font for Meetei Mayek script
Review Request: tabish-eeyek-fonts - Font for Meetei Mayek script
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-26 01:28 EDT by Parag Nemade
Modified: 2014-09-29 08:00 EDT (History)
6 users (show)

See Also:
Fixed In Version: tabish-eeyek-fonts-1.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-03 22:56:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Change the FSF postal address to the current one. (1.25 KB, patch)
2011-04-28 10:12 EDT, Mario Blättermann
no flags Details | Diff

  None (edit)
Description Parag Nemade 2011-04-26 01:28:15 EDT
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/tabish-eeyek-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/tabish-eeyek-fonts-1.0-1.fc15.src.rpm
Description: 
A TrueType Font, which allows you to read and write in Meetei Mayek script.
Comment 1 Parag Nemade 2011-04-27 05:07:30 EDT
koji scratch build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3029168
Comment 2 Mario Blättermann 2011-04-27 07:38:42 EDT
$ rpmlint -v *
tabish-eeyek-fonts.src: I: checking
tabish-eeyek-fonts.src: I: checking-url http://tabish.freeshell.org/eeyek/ (timeout 10 seconds)
tabish-eeyek-fonts.src: I: checking-url http://tabish.freeshell.org/eeyek/eeyek.zip (timeout 10 seconds)
tabish-eeyek-fonts.noarch: I: checking
tabish-eeyek-fonts.noarch: I: checking-url http://tabish.freeshell.org/eeyek/ (timeout 10 seconds)
tabish-eeyek-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tabish-eeyek-fonts-1.0/copying.txt
tabish-eeyek-fonts.spec: I: checking-url http://tabish.freeshell.org/eeyek/eeyek.zip (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

Looks good in general. The issue with the line endings can be solved with a "sed" command:

http://fedoraproject.org/wiki/PackageMaintainers/Common_Rpmlint_Issues#wrong-file-end-of-line-encoding
Comment 4 Mario Blättermann 2011-04-28 10:12:29 EDT
Created attachment 495552 [details]
Change the FSF postal address to the current one.
Comment 5 Mario Blättermann 2011-04-28 10:13:12 EDT
$ rpmlint -v *
...
tabish-eeyek-fonts.noarch: E: incorrect-fsf-address /usr/share/doc/tabish-eeyek-fonts-1.0/copying.txt
...
2 packages and 1 specfiles checked; 1 errors, 0 warnings.

The license blurb still contains the old FSF address, the new one is:

Free Software Foundation
51 Franklin Street, Suite 500
Boston, MA 02110-1335
USA

Apply the attached patch please.
Comment 6 Martin Gieseking 2011-04-28 10:22:18 EDT
No, please don't change any files if it's not required to fix build problems. Instead, ask upstream to apply the patch. Until then, just add the original license file with the old address.
Comment 7 Mario Blättermann 2011-04-28 15:44:40 EDT
(In reply to comment #6)
> No, please don't change any files if it's not required to fix build problems.
> Instead, ask upstream to apply the patch. Until then, just add the original
> license file with the old address.

OK, besides the wrong address I can't find any other issues.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv2+
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    aedf4633caf5e7e2ccee24e9421085b5  eeyek.zip
    aedf4633caf5e7e2ccee24e9421085b5  eeyek.zip.packaged
[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.

----------------

PACKAGE APPROVED

----------------
Comment 8 Parag Nemade 2011-04-29 05:06:42 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: tabish-eeyek-fonts 
Short Description: Font for Meetei Mayek script
Owners: pnemade
Branches: f15
InitialCC: i18n-team fonts-sig
Comment 9 Jason Tibbitts 2011-04-30 14:12:34 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2011-05-03 00:39:01 EDT
tabish-eeyek-fonts-1.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/tabish-eeyek-fonts-1.0-1.fc15
Comment 11 Fedora Update System 2011-05-05 00:41:42 EDT
tabish-eeyek-fonts-1.0-1.fc15 has been pushed to the Fedora 15 testing repository.
Comment 12 Fedora Update System 2011-06-03 22:56:27 EDT
tabish-eeyek-fonts-1.0-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 13 Parag Nemade 2014-09-28 02:28:29 EDT
Package Change Request
======================
Package Name: tabish-eeyek-fonts
New Branches: el6 epel7
Owners: pnemade
Comment 14 Jon Ciesla 2014-09-29 08:00:57 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.